## org.eclipse.datatools.connectivity.sqm.loader
Interface JDBCUserDefinedTypeLoader.IUDTFactory

All Known Implementing Classes:
  JDBCUserDefinedTypeLoader.DistinctTypeFactory, JDBCUserDefinedTypeLoader.StructTypeFactory, SchemaASABaseLoader.ASABaseUDTLoader.ASAUDTFactory

Enclosing class:
  JDBCUserDefinedTypeLoader

    public static interface JDBCUserDefinedTypeLoader.IUDTFactory

Interface for providing creation logic for UDTs.

Method Summary
`UserDefinedType` `createUDT(java.sql.ResultSet rs)` Creates and initializes a UDT object based on the meta-data in the result set.
`org.eclipse.emf.ecore.EClass` `getUDTEClass()`
`void` `initialize(UserDefinedType udt, java.sql.ResultSet rs)` Initializes a UDT object based on the meta-data in the result set.

Method Detail

### getUDTEClass

    org.eclipse.emf.ecore.EClass getUDTEClass()

  Returns:
    the EClass used to represent the UDT objects created by this factory. This is used to identify existing objects in the model during a refresh (e.g. to reuse the object, preventing external references from breaking).

### createUDT

    UserDefinedType createUDT(java.sql.ResultSet rs)
                              throws java.sql.SQLException

  Creates and initializes a UDT object based on the meta-data in the result set.

  Parameters:
    `rs` - the result set
  Returns:
    a new, initialized UserDefinedType object.
  Throws:
    `java.sql.SQLException` - if anything goes wrong

### initialize

    void initialize(UserDefinedType udt,
                    java.sql.ResultSet rs)
                    throws java.sql.SQLException

  Initializes a UDT object based on the meta-data in the result set. The UDT object may be a new UDT object requiring initialization or an existing UDT object that is being reinitialized.

  Parameters:
    `udt` - the UDT to initialize
    `rs` - the result set
  Throws:
    `java.sql.SQLException` - if anything goes wrong